Subject: Re: 0e334db6bb4b1fd1e2d72c1f3d8f004313cd9f94 (posix-timers: Fix, division by zero bug). Problems with glibc.

From: Thomas Gleixner <[email-masked]>
Date: Sat, 2 Feb 2019 10:21:40 +0100 (CET)

On Fri, 1 Feb 2019, Paul Eggert wrote:

> Thanks for helping to track down this bug. Since the problem occurs only with
> a few Linux kernel versions and affects Emacs only when doing CPU profiling,
> it doesn't seem worth spending time to try to patch Emacs to work around the
> bug. So I installed the attached patch into emacs-26's etc/PROBLEMS file to
> warn users about the problem, and am closing the Emacs bug report.

Can you please verify whether the issue is fixed with 4.19.19? The commit
in question broke posix CPU timers as a unintended side effect and a follow
up patch unbreaks them again.

Thanks,

	tglx